From: "Sam James" <sam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-text/cherrytree/
Date: Sun, 17 Apr 2022 16:10:32 +0000 (UTC) [thread overview]
Message-ID: <1650211343.02d2a2f08e4633de2d149ad6494efe9b7178ef46.sam@gentoo> (raw)
commit: 02d2a2f08e4633de2d149ad6494efe9b7178ef46
Author: Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Sun Apr 17 16:02:08 2022 +0000
Commit: Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sun Apr 17 16:02:23 2022 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=02d2a2f0
app-text/cherrytree: add 0.99.47
Closes: https://bugs.gentoo.org/833995
Signed-off-by: Sam James <sam <AT> gentoo.org>
app-text/cherrytree/Manifest | 1 +
app-text/cherrytree/cherrytree-0.99.47.ebuild | 91 +++++++++++++++++++++++++++
2 files changed, 92 insertions(+)
diff --git a/app-text/cherrytree/Manifest b/app-text/cherrytree/Manifest
index 8b27173b2f61..2c2c695aec1a 100644
--- a/app-text/cherrytree/Manifest
+++ b/app-text/cherrytree/Manifest
@@ -1,2 +1,3 @@
DIST cherrytree-0.99.0_p20200523.tar.gz 10452221 BLAKE2B cbac9b5b1c4fc1454d229a56784a59f1622b134d640db720e496cc0f1b4f95ee097343572f33d8b0626903f58ae188e8b85065144fcad8c647732e7eddadd0b9 SHA512 4eb142368bd1d3838879669d5bf1742689b02f08f50edd51a6fa6f22fef83d0f1871147aca3c346e9fcd1193c3f494e112cdc9e10eda4b3124587f605f89cc54
DIST cherrytree-0.99.37.tar.gz 17983743 BLAKE2B 42e5464f4cba4364dbbdabe5daaf80517a62f3f4b2c1c3efa764e9b10dfae492bf335403d24a7a33d9b7c8cd55a0c55ad359ffca1f639fa7622e00a416defd60 SHA512 2413924d03c65dfad820bc2b1e345b7dd74b69d11a10ee0d333400936eb31368f53f2aee77a3dd708adb3d4b91578c0499766bca4c85537822e9c4b3d41c6800
+DIST cherrytree_0.99.47.tar.xz 2457904 BLAKE2B 1072de8ed62757a873a258dc9ab1e9e186128b520e7f02e0a2cd8e7e0173232af7db85e3293efd21b577e51b6f5e55cca0cf35631e34279e32dc07836335b742 SHA512 2611be4c24a188793aa6785d96b33ec91c0957b30616352e1cb2cd12f296e39c29666d37a03016be6c934898bf6deb98af74c2c345d9c70f138f62ac6b10f023
diff --git a/app-text/cherrytree/cherrytree-0.99.47.ebuild b/app-text/cherrytree/cherrytree-0.99.47.ebuild
new file mode 100644
index 000000000000..6da5672e3e52
--- /dev/null
+++ b/app-text/cherrytree/cherrytree-0.99.47.ebuild
@@ -0,0 +1,91 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{8..10} )
+
+inherit cmake python-any-r1 xdg
+
+DESCRIPTION="A hierarchical note taking application (C++ version)"
+HOMEPAGE="https://www.giuspen.com/cherrytree https://github.com/giuspen/cherrytree"
+
+if [[ ${PV} == *9999 ]]; then
+ inherit git-r3
+ EGIT_REPO_URI="https://github.com/giuspen/cherrytree"
+ S="${WORKDIR}/${P}/future"
+else
+ SRC_URI="https://github.com/giuspen/cherrytree/releases/download/${PV}/${P/-/_}.tar.xz"
+ #SRC_URI="https://github.com/giuspen/cherrytree/archive/refs/tags/${PV}.tar.gz -> ${P}.tar.gz"
+ S="${WORKDIR}"/${P/-/_}
+
+ KEYWORDS="~amd64 ~x86"
+ # S="${WORKDIR}/${PN}-${COMMIT}/future"
+fi
+
+# GPL-3 — future/src/ct (CherryTree)
+# LGPL-2.1 — future/src/7za (7zip)
+# MIT — future/src/fmt (libfmt)
+LICENSE="GPL-3 LGPL-2.1 MIT"
+SLOT="0"
+IUSE="nls test"
+
+# Has deps that aren't available in ::gentoo repo
+RESTRICT="test"
+
+RDEPEND="app-i18n/uchardet
+ app-text/gspell:=
+ >=dev-cpp/glibmm-2.64.2:2
+ dev-cpp/gtkmm:3.0
+ dev-cpp/gtksourceviewmm:3.0
+ dev-cpp/libxmlpp:2.6
+ dev-cpp/pangomm:1.4
+ dev-db/sqlite:3
+ dev-libs/glib:2
+ dev-libs/libfmt:=
+ dev-libs/libxml2:2
+ dev-libs/spdlog
+ net-misc/curl
+ x11-libs/cairo
+ x11-libs/gtk+:3
+ x11-libs/pango"
+DEPEND="${RDEPEND}
+ $(python_gen_any_dep 'dev-python/lxml[${PYTHON_USEDEP}]')"
+BDEPEND="${PYTHON_DEPS}
+ virtual/pkgconfig
+ nls? (
+ dev-util/intltool
+ sys-devel/gettext
+ )
+ test? ( dev-util/cpputest )"
+
+python_check_deps() {
+ has_version "dev-python/lxml[${PYTHON_USEDEP}]"
+}
+
+src_prepare() {
+ # disable compress man pages
+ sed -i -e \
+ '/install(FILES/s|${MANFILE_FULL_GZ}|${CMAKE_SOURCE_DIR}/data/cherrytree.1|' \
+ CMakeLists.txt || die
+
+ if [[ ${PV} != *9999 ]]; then
+ sed -i \
+ -e "/^set(CT_VERSION/s|\"\(.*\)\"|\"${PV}\"|" \
+ CMakeLists.txt || die
+ fi
+
+ # python_fix_shebang .
+ cmake_src_prepare
+}
+
+src_configure() {
+ local mycmakeargs=(
+ -DPYTHON_EXEC="${PYTHON}"
+ -DUSE_NLS=$(usex nls)
+ -DBUILD_TESTING=$(usex test)
+ -DUSE_SHARED_FMT_SPDLOG=ON
+ )
+
+ cmake_src_configure
+}
next reply other threads:[~2022-04-17 16:10 UTC|newest]
Thread overview: 60+ messages / expand[flat|nested] mbox.gz Atom feed top
2022-04-17 16:10 Sam James [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-03-24 5:58 [gentoo-commits] repo/gentoo:master commit in: app-text/cherrytree/ Sam James
2025-03-24 5:58 Sam James
2025-03-19 23:57 Sam James
2025-03-15 13:48 Petr Vaněk
2025-03-11 9:02 Sam James
2025-02-27 5:33 Sam James
2024-11-14 21:21 Petr Vaněk
2024-11-14 21:21 Petr Vaněk
2024-11-14 21:21 Petr Vaněk
2024-09-18 3:25 Sam James
2024-09-18 3:25 Sam James
2024-07-07 21:11 Eli Schwartz
2024-07-07 21:11 Eli Schwartz
2024-06-29 14:11 Arthur Zamarin
2024-06-28 7:43 Joonas Niilola
2024-06-28 7:43 Joonas Niilola
2024-06-28 7:43 Joonas Niilola
2024-01-20 12:04 Sam James
2023-10-08 11:51 Pacho Ramos
2023-10-08 11:51 Pacho Ramos
2023-08-26 17:20 Arthur Zamarin
2023-07-26 3:13 Sam James
2023-03-11 21:23 Sam James
2023-03-11 21:23 Sam James
2023-03-11 17:04 Sam James
2022-12-21 23:09 Sam James
2022-12-21 23:09 Sam James
2022-12-21 23:09 Sam James
2022-12-19 14:49 Andreas Sturmlechner
2022-12-19 14:47 Andreas Sturmlechner
2022-11-09 16:27 Florian Schmaus
2022-07-18 0:26 Sam James
2022-05-03 18:38 Sam James
2021-05-24 7:39 Joonas Niilola
2021-05-24 7:39 Joonas Niilola
2021-05-24 7:39 Joonas Niilola
2021-05-24 7:39 Joonas Niilola
2021-05-24 7:39 Joonas Niilola
2021-05-23 19:04 Michał Górny
2021-04-19 10:31 Joonas Niilola
2021-04-06 21:17 Sam James
2021-02-16 2:12 Matt Turner
2020-05-23 17:59 Andreas Sturmlechner
2020-04-09 8:58 Joonas Niilola
2019-11-20 6:03 Joonas Niilola
2018-04-09 0:15 Aaron Bauman
2016-09-17 15:19 Pacho Ramos
2016-07-07 22:50 Austin English
2016-07-01 7:25 Patrice Clement
2016-07-01 7:25 Patrice Clement
2016-07-01 7:25 Patrice Clement
2016-05-29 15:30 Kristian Fiskerstrand
2016-04-20 9:14 Ian Delaney
2016-04-19 17:09 Ian Delaney
2016-04-19 14:00 Ian Delaney
2016-04-19 14:00 Ian Delaney
2016-04-19 14:00 Ian Delaney
2016-04-19 14:00 Ian Delaney
2016-04-15 19:10 Patrice Clement
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1650211343.02d2a2f08e4633de2d149ad6494efe9b7178ef46.sam@gentoo \
--to=sam@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox